org.apache.calcite.avatica.remote

## Class LocalProtobufService

- java.lang.Object
- - org.apache.calcite.avatica.remote.AbstractService
  - - org.apache.calcite.avatica.remote.ProtobufService
    - - org.apache.calcite.avatica.remote.LocalProtobufService

All Implemented Interfaces:
  Service

    public class LocalProtobufService
    extends ProtobufService

A Service implementation that performs protocol buffer serialization on request and responses on either side of computing a response from a request to mimic some transport to a server which would normally perform such computation.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.calcite.avatica.remote.AbstractService

`AbstractService.SerializationType`

### Nested classes/interfaces inherited from interface org.apache.calcite.avatica.remote.Service

`Service.Base, Service.CatalogsRequest, Service.CloseConnectionRequest, Service.CloseConnectionResponse, Service.CloseStatementRequest, Service.CloseStatementResponse, Service.ColumnsRequest, Service.CommitRequest, Service.CommitResponse, Service.ConnectionSyncRequest, Service.ConnectionSyncResponse, Service.CreateStatementRequest, Service.CreateStatementResponse, Service.DatabasePropertyRequest, Service.DatabasePropertyResponse, Service.ErrorResponse, Service.ExecuteBatchRequest, Service.ExecuteBatchResponse, Service.ExecuteRequest, Service.ExecuteResponse, Service.Factory, Service.FetchRequest, Service.FetchResponse, Service.OpenConnectionRequest, Service.OpenConnectionResponse, Service.PrepareAndExecuteBatchRequest, Service.PrepareAndExecuteRequest, Service.PrepareRequest, Service.PrepareResponse, Service.Request, Service.Response, Service.ResultSetResponse, Service.RollbackRequest, Service.RollbackResponse, Service.RpcMetadataResponse, Service.SchemasRequest, Service.SyncResultsRequest, Service.SyncResultsResponse, Service.TablesRequest, Service.TableTypesRequest, Service.TypeInfoRequest`

### Field Summary

Fields
`private Service` `service`
`private ProtobufTranslation` `translation`

### Constructor Summary

Constructors
Constructor and Description
`LocalProtobufService(Service service, ProtobufTranslation translation)`

### Method Summary

Methods
`Service.Response` `_apply(Service.Request request)` Derived class should implement this method to transport requests and responses to and from the peer service.

### Methods inherited from class org.apache.calcite.avatica.remote.ProtobufService

`apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, castProtobufMessage, getSerializationType`

### Methods inherited from class org.apache.calcite.avatica.remote.AbstractService

`finagle, finagle, finagle, finagle, finagle, finagle, setRpcMetadata`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### service

    private final Service service

#### translation

    private final ProtobufTranslation translation

### Constructor Detail

#### LocalProtobufService

    public LocalProtobufService(Service service,
                        ProtobufTranslation translation)

### Method Detail

#### _apply

    public Service.Response _apply(Service.Request request)

Description copied from class: `ProtobufService`
Derived class should implement this method to transport requests and responses to and from the peer service.

Specified by:
  `_apply` in class `ProtobufService`